package com.apobates.forum.letterbox.entity;

/**
 *
 * @author xiaofanku
 * @since 20200510
 */
public class ForumLetterStatus {
    private final long id;
    private final boolean readable;
    private final boolean reply;
    private final boolean usable;
    
    public ForumLetterStatus(long id, boolean readable, boolean reply, boolean usable) {
        this.id = id;
        this.readable = readable;
        this.reply = reply;
        this.usable = usable;
    }
    
    public long getId() {
        return id;
    }
    
    public boolean isReadable() {
        return readable;
    }
    
    public boolean isReply() {
        return reply;
    }
    
    public boolean isUsable() {
        return usable;
    }
}